# Check Claimable

`GET /workspaces/:workspace/domains/claimable/:name`

Check claimable domains availability for a subdomain name

**Required Scopes:** `ZONE_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The subdomain name to search for in the list of claimable domains */
  name: string; // Example: "food"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** Collection of claimable domain results */
  domains?: ClaimAvailabilityView[];
}
```

## Type Definitions

```typescript
interface ClaimAvailabilityView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The claimable domain name */
  domain?: string;
  /** Whether the domain is available for claiming */
  available?: boolean;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/domains/claimable",
  "html_url": "https://app.buddy.works/my-company/-/domains/claim",
  "domains": [
    {
      "url": "https://api.buddy.works/workspaces/my-company/domains/claimable",
      "html_url": "https://app.buddy.works/my-company/-/domains/claim",
      "domain": "claim.net",
      "available": true
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/domains/claimable",
      "html_url": "https://app.buddy.works/my-company/-/domains/claim",
      "domain": "claim.app",
      "available": false
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/domains/claimable